Subject: [sip-overload] Comments on draft-ietf-soc-load-control-event-package-01

From: Shida Schubert <[email-masked]>
Date: Mon, 3 Oct 2011 23:47:56 +0900

I recently reviewed the draft and below are some comments.

A: Terminology

 First of all, I find that the document is rather hard to read 
because; 1. it uses different terminology for what I believe is 
the same thing. 2. introduce many terminology that 
is not defined anywhere and 3. the terminology used should 
probably be aligned with that of the other drafts 
that define some of these terminologies (RFC6537 etc).

 Here are some examples;

 1. "load control" - should this be "overload control"?
 2. What is "user load control information"?
 3. "edge server" - edge of what? At the edge of domain? 
 4. load document, load control document and load filter, are they the same thing?
 5. load filtering mechanism and load filter control the same thing?
 6. What is a dynamic filter? 
 7. What is a load control policy maker?
 8. What is a policy entry point?
 9. What is a filter computation decision maker?
10. Is load control policy, load control information and load control rule the same thing?
11. What is load control filter content definition?

 Also some terminology can be changed to common terminology used in SIP related RFCs

 e.g. SIP entity subscribers > SIP subscribers or subscribers
 e.g. local format/global format > local number / global number [RFC3966]

B: Requirements

 The draft does a really nice job evaluating whether the 
document meets the requirements set forth by RFC 5390 in 
section section 9. but the draft also has design requirements 
in section 3. This seems reasonable thing to have but shouldn't 
these requirements expressed with RFC2119 language?  

C: Behavior of Notifier and Subscriber is mixed in section 5.6
 - I think followings should be described as Subscribers' behavior. 

"SIP entity subscribers SHOULD try to subscribe to all those SIP entity
   notifiers with which they have regular signaling exchanges, although
   not all such SIP notifiers may permit such a subscription"

D: Technical questions

 1. section 5.7. 
   -  "Following the [RFC3265] specification, a notifier MUST send a NOTIFY
   with its current load control policy to the subscriber upon
   successfully accepting or refreshing a subscription.  The NOTIFY
   request MAY include a body. "

   - So it says MUST send a NOTIFY but it is followed by MAY include a body.
     If load control policy is carried in a body, I don't know there is a MAY following 
     the first paragraph. 

  - If what you want to say is to include the control policy in the body when 
     there is an active policy to be MUST and otherwise a MAY, this should be 
     clarified. 

 2. section 5.8.
  - "Upon receipt of a NOTIFY request with a Subscription-State header
   field containing the value "terminated", the subscriber MUST remove
   all previously received load control information and process all
   calls without applying any restriction"

 - This should be clarified that this applies only to the relevant filter and 
    not to all the policy that may be active at the time of receiving this NOTIFY. 

 Regards
  Shida